Set Certificate Contacts - Set Certificate Contacts
Sets the certificate contacts for the specified key vault. This operation requires the certificates/managecontacts permission.
PUT {vaultBaseUrl}/certificates/contacts?api-version=2025-07-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
vault
|
path | True |
string (uri) |
|
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Type | Description |
|---|---|---|
| contacts |
Contact[] |
The contact list for the vault certificates. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. |
|
| Other Status Codes |
An unexpected error response. |
Security
OAuth2Auth
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| https://vault.azure.net/.default |
Examples
SetCertificateContacts
Sample request
PUT https://myvault.vault.azure.net//certificates/contacts?api-version=2025-07-01
{
"contacts": [
{
"email": "admin@contoso.com",
"name": "John Doe",
"phone": "1111111111"
},
{
"email": "admin@contoso2.com",
"name": "Johnathan Doeman",
"phone": "2222222222"
}
]
}
Sample response
{
"id": "https://myvault.vault.azure.net/certificates/contacts",
"contacts": [
{
"email": "admin@contoso.com",
"name": "John Doe",
"phone": "1111111111"
},
{
"email": "admin@contoso2.com",
"name": "Johnathan Doeman",
"phone": "2222222222"
}
]
}
Definitions
| Name | Description |
|---|---|
| Contact |
The contact information for the vault certificates. |
| Contacts |
The contacts for the vault certificates. |
| Error | |
|
Key |
The key vault error exception. |
Contact
The contact information for the vault certificates.
| Name | Type | Description |
|---|---|---|
|
string |
Email address. |
|
| name |
string |
Name. |
| phone |
string |
Phone number. |
Contacts
The contacts for the vault certificates.
| Name | Type | Description |
|---|---|---|
| contacts |
Contact[] |
The contact list for the vault certificates. |
| id |
string |
Identifier for the contacts collection. |
Error
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| innererror |
The key vault server error. |
|
| message |
string |
The error message. |
KeyVaultError
The key vault error exception.
| Name | Type | Description |
|---|---|---|
| error |
The key vault server error. |